Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.togethersoft.openapi.ide.inspector.util.editors
Class SwingStringEditor

    java.lang.Object
      |
      +--java.beans.PropertyEditorSupport
            |
            +--com.togethersoft.openapi.ide.inspector.util.editors.SwingEditorSupport
                  |
                  +--com.togethersoft.openapi.ide.inspector.util.editors.SwingStringEditor

Direct Known Subclasses:
  SwingPasswordEditor

public class SwingStringEditor
extends SwingEditorSupport

Represents editor for string properties as a JTextField.

Author:
  TogetherSoft

Fields inherited from class com.togethersoft.openapi.ide.inspector.util.editors.SwingEditorSupport
`MEDIUM_DIMENSION, panel, SMALL_DIMENSION`

Constructor Summary
`SwingStringEditor()` Creates JPanel with JTextField and adds KeyListener for "ENTER pressed" event.

Method Summary
`protected JTextField` | `createTextField()` Creates new JTextField.
`Component` | `getCustomEditor()`
`Object` | `getValue()` Returns string value of JTextField.
`void` | `setFireOnFocusLost(boolean fireOnFocusLost)`
`void` | `setValue(Object obj)` Sets value to JTestField.

Methods inherited from class com.togethersoft.openapi.ide.inspector.util.editors.SwingEditorSupport
`addCellEditorListener, fireEditingCanceled, fireEditingStopped, init, removeCellEditorListener, setAlignment, supportsCustomEditor`

Methods inherited from class java.beans.PropertyEditorSupport
`isPaintable, paintValue, getJavaInitializationString, getAsText, setAsText, getTags, addPropertyChangeListener, removePropertyChangeListener, firePropertyChange`

Methods inherited from class java.lang.Object
`getClass, hashCode, equals, clone, toString, notify, notifyAll, wait, wait, wait, finalize`

Constructor Detail

### SwingStringEditor

    public SwingStringEditor()

  Creates JPanel with JTextField and adds KeyListener for "ENTER pressed" event.

Method Detail

### createTextField

    protected JTextField createTextField()

  Creates new JTextField.

### getCustomEditor

    public Component getCustomEditor()

### getValue

    public Object getValue()

  Returns string value of JTextField.

### setFireOnFocusLost

    public void setFireOnFocusLost(boolean fireOnFocusLost)

### setValue

    public void setValue(Object obj)

  Sets value to JTestField.
  Parameters:
    obj - Value to be set

Association Links

to Class javax.swing.JTextField

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD